org.keycloak.representations.idm

## Class AuthenticationExecutionExportRepresentation

- java.lang.Object
- - org.keycloak.representations.idm.AbstractAuthenticationExecutionRepresentation
  - - org.keycloak.representations.idm.AuthenticationExecutionExportRepresentation

- All Implemented Interfaces:
    Serializable

      public class AuthenticationExecutionExportRepresentation
      extends AbstractAuthenticationExecutionRepresentation

  Version:
    $Revision: 1 $
  Author:
    Bill Burke
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthenticationExecutionExportRepresentation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getFlowAlias()` If this execution is a flow, this is the flowId pointing to an AuthenticationFlowModel
    `boolean` | `isUserSetupAllowed()`
    `void` | `setFlowAlias(String flowId)`
    `void` | `setUserSetupAllowed(boolean userSetupAllowed)`

    - ### Methods inherited from class org.keycloak.representations.idm.AbstractAuthenticationExecutionRepresentation

      `getAuthenticator, getAuthenticatorConfig, getPriority, getRequirement, isAuthenticatorFlow, isAutheticatorFlow, setAuthenticator, setAuthenticatorConfig, setAuthenticatorFlow, setAutheticatorFlow, setPriority, setRequirement`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AuthenticationExecutionExportRepresentation

          public AuthenticationExecutionExportRepresentation()

  - ### Method Detail

    - #### isUserSetupAllowed

          public boolean isUserSetupAllowed()

    - #### setUserSetupAllowed

          public void setUserSetupAllowed(boolean userSetupAllowed)

    - #### getFlowAlias

          public String getFlowAlias()

      If this execution is a flow, this is the flowId pointing to an AuthenticationFlowModel
      Returns:

    - #### setFlowAlias

          public void setFlowAlias(String flowId)

Copyright © 2021 JBoss by Red Hat. All rights reserved.